<?php

namespace App\Entity;

use App\Repository\InternSkillRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: InternSkillRepository::class)]
class InternSkill
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'interns')]
    private ?Skill $skill = null;

    #[ORM\ManyToOne(inversedBy: 'skills')]
    private ?Intern $intern = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getSkill(): ?Skill
    {
        return $this->skill;
    }

    public function setSkill(?Skill $skill): static
    {
        $this->skill = $skill;

        return $this;
    }

    public function getIntern(): ?Intern
    {
        return $this->intern;
    }

    public function setIntern(?Intern $intern): static
    {
        $this->intern = $intern;

        return $this;
    }
}
